Index: sys/dev/ata/ata-chipset.c
===================================================================
--- sys/dev/ata/ata-chipset.c	(revision 183076)
+++ sys/dev/ata/ata-chipset.c	(working copy)
@@ -2139,6 +2139,14 @@
      { ATA_I82801IB_AH4, 0, AHCI, 0x00, ATA_SA300, "ICH9" },
      { ATA_I82801IB_AH6, 0, AHCI, 0x00, ATA_SA300, "ICH9" },
      { ATA_I82801IB_R1,  0, AHCI, 0x00, ATA_SA300, "ICH9" },
+     { ATA_I82801JIB_S1, 0,    0, 0x00, ATA_SA300, "ICH10" },
+     { ATA_I82801JIB_AH6,0, AHCI, 0x00, ATA_SA300, "ICH10" },
+     { ATA_I82801JIB_R1, 0, AHCI, 0x00, ATA_SA300, "ICH10" },
+     { ATA_I82801JIB_S2, 0,    0, 0x00, ATA_SA300, "ICH10" },
+     { ATA_I82801JD_S1,  0,    0, 0x00, ATA_SA300, "ICH10" },
+     { ATA_I82801JD_AH6, 0, AHCI, 0x00, ATA_SA300, "ICH10" },
+     { ATA_I82801JD_R1,  0, AHCI, 0x00, ATA_SA300, "ICH10" },
+     { ATA_I82801JD_S2,  0,    0, 0x00, ATA_SA300, "ICH10" },
      { ATA_I31244,       0,    0, 0x00, ATA_SA150, "31244" },
      { 0, 0, 0, 0, 0, 0}};
 
Index: sys/dev/ata/ata-pci.h
===================================================================
--- sys/dev/ata/ata-pci.h	(revision 183076)
+++ sys/dev/ata/ata-pci.h	(working copy)
@@ -183,6 +183,14 @@
 #define ATA_I82801IB_AH4        0x29238086
 #define ATA_I82801IB_R1         0x29258086
 #define ATA_I82801IB_S2         0x29268086
+#define ATA_I82801JIB_S1        0x3a208086
+#define ATA_I82801JIB_AH6       0x3a228086
+#define ATA_I82801JIB_R1        0x3a258086
+#define ATA_I82801JIB_S2        0x3a268086
+#define ATA_I82801JD_S1         0x3a008086
+#define ATA_I82801JD_AH6        0x3a028086
+#define ATA_I82801JD_R1         0x3a058086
+#define ATA_I82801JD_S2         0x3a068086
 #define ATA_I31244              0x32008086
 
 #define ATA_ITE_ID              0x1283